#!/bin/bash
# setup gnu-keywords, automatet script.
# Perhaps you want to do it yourself, in your way. Feel free
# SPDX-FileCopyrightText: 2022 Beat Jäckle <beat@git,jdmweb2.ch>
# SPDX-License-Identifier: GPL-3.0-or-later
#
if [ ! -d .env ]
then python -m venv .env
fi

. .env/bin/activate
pip install -U pip
pip install -r requirements.txt
python -m spacy download de_core_news_sm

wget https://cloud.gnulinux.ch/index.php/s/YTw6dn4wFKGA7oi/download/data.zip
unzip data.zip
